Get contact
curl --request GET \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/contacts/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/contacts/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"contact": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve",
"email": "eve@example.com",
"phone_number": "",
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z",
"owner": null,
"tags": [],
"company": {
"id": null,
"name": null
}
}
}Contacts
Get contact
Retrieve a single contact by its ID.
GET
/
contacts
/
{id}
Get contact
curl --request GET \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/contacts/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/contacts/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"contact": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve",
"email": "eve@example.com",
"phone_number": "",
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z",
"owner": null,
"tags": [],
"company": {
"id": null,
"name": null
}
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
The ID of the contact to retrieve. You can get the contact id by listing all contacts using our List all contacts API.
Response
200 - application/json
Successfully retrieved the contact.
Hide child attributes
Hide child attributes
Unique identifier for the contact.
Name of the contact.
Email address of the contact.
Phone number of the contact.
Owner of the contact.
Tags associated with the contact.
Timestamp when the contact was created.
Timestamp when the contact was last updated.